# $Revision: 1.33 $, $Date: 2004/12/14 13:07:44 $

%define		sname	gift

Summary:	The generic interface to FastTrack
Summary(pl):	Interfejs do FastTracka
Name:		giFT
Version:	0.11.8.1
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/gift/%{sname}-%{version}.tar.bz2
# Source0-md5:	1c70477af403af142359d07ee4a03348
Patch1:		%{name}-nolibs.patch
Patch2:		%{name}-home_etc.patch
URL:		http://giFT.sourceforge.net/
BuildRequires:	ImageMagick-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	db-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmagic-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The generic interface to FastTrack network. This package contains
'giFT' daemon. After running it you can use some FT client e.g.:
'fiFT-fe' GTK+ client or 'giFTcurs' ncurses client (provided by
package giFTcurs).

%description -l pl
Oglny interfejs do sieci FastTrack. Ten pakiet zawiera demona giFT.
Po jego uruchomieniu mona uywa ktrego z klientw FT, np. giFT-fe
opartego na GTK+ czy giFTcurs opartego na ncurses (dostpnego w
pakiecie giFTcurs).

%package devel
Summary:	The generic interface to FastTrack development files
Summary(pl):	Pliki do rozwoju programw korzystajcych z giFT
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	zlib-devel

%description devel
The generic interface to FastTrack development files.

%description devel -l pl
Pliki do rozwoju programw korzystajcego z interfejsu do FastTracka.

%package static
Summary:	The generic interface to FastTrack static libraries
Summary(pl):	Biblioteki statyczne giFT
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
The generic interface to FastTrack static libraries.

%description static -l pl
Biblioteki statyczne interfejsu do FastTracka.

%prep
%setup -q -n %{sname}-%{version}
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-libmagic \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS TODO ChangeLog NEWS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man?/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: giFT.spec,v $
Revision 1.33  2004/12/14 13:07:44  kosmo
- updated to 0.11.8.1, STBR for ac please.

Revision 1.32  2004/12/10 23:32:58  ankry
- rel. 2

Revision 1.31  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.30  2004/02/05 23:37:59  yogib
- updated to 0.11.6

Revision 1.29  2003/12/30 09:21:57  gotar
- upgraded to 0.11.5

Revision 1.28  2003/11/12 04:47:50  witekfl
- added home_etc.patch
- rel 2

Revision 1.27  2003/08/28 04:47:27  grzegol
- updated to 0.11.4

Revision 1.26  2003/08/21 17:13:35  gotar
- upgraded to 0.11.3,
- removed outdated patches.

Revision 1.25  2003/07/26 19:38:26  gotar
- BR: bzip2-devel,
- BR: libmagic-devel, appropriate patch and ./configure option,
- release 2.

Revision 1.24  2003/07/16 14:11:49  qboosh
- added opt and nolibs patches, more deps, fixed devel Groups

Revision 1.23  2003/07/14 13:44:17  grzegol
- more .la files

Revision 1.22  2003/07/14 13:34:58  grzegol
- added %%post/%%postun

Revision 1.21  2003/07/14 13:33:40  grzegol
- updated to 0.11.1
- more BRs
- regenerate lt
- updated %%files

Revision 1.20  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 05:47:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/02/28 10:07:55  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.17  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.16  2002/12/02 22:08:29  ankry
- pl Summary/description fixes
- adapterized

Revision 1.15  2002/11/27 20:15:37  juandon
- new %%doc

Revision 1.14  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/04/25 16:23:28  arturs
fixed a small typo

Revision 1.11  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.9  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/19 03:50:57  kloczek
- cosmetics.

Revision 1.6  2002/02/18 19:28:54  gotar
- %desc

Revision 1.5  2002/02/06 17:21:20  klakier
- small changes

Revision 1.4  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/06 15:45:26  misiek
- added url and regeneration of am/ac

Revision 1.2  2001/10/03 16:44:11  filon
- using %{name} macro in requires

Revision 1.1  2001/10/01 07:29:56  pascalek
- initial revision
